using System.Collections.Generic;

namespace Cute;

internal class SkipCuteCheckResultCodes
{
	private List<int> resultCodes = new List<int>();

	private bool skipAll;

	public void setSkipAll(bool pSkipAll)
	{
		skipAll = pSkipAll;
	}

	public bool isSkipAll()
	{
		return skipAll;
	}

	public void Add(int resultCode)
	{
		resultCodes.Add(resultCode);
	}

	public void Add(List<int> pResultCodes)
	{
		resultCodes.AddRange(pResultCodes);
	}

	public bool Contains(int resultCode)
	{
		return resultCodes.Contains(resultCode);
	}

	public void Clear()
	{
		resultCodes.Clear();
	}
}
